# 데이터 형식 함수

{% hint style="info" %}
PantherFlow는 Panther 버전 1.110부터 공개 베타로 제공되며, 모든 고객이 사용할 수 있습니다. 버그 신고와 기능 요청은 Panther 지원팀에 공유해 주세요.
{% endhint %}

## `array()`

`array(value1: any, value2: any, valueN: any, ... ) -> array`

주어진 값들로 배열을 반환합니다.

**예시:**

```kusto
panther_logs.public.aws_alb
| project myArray=array(receivedBytes, true, 4, "oops")
```

## `object()`

`object([key1: string, value1: any, ... ]) -> object`

주어진 키-값 쌍으로 객체를 반환합니다.

**예시:**

```kusto
panther_logs.public.aws_alb
| project myObject=object("bytes", receivedBytes, "static", true)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.panther.com/ko/pantherflow/functions/data-type.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
